PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_strsmpl | ( | int | N,
|  | int | NRHS,
|  | float * | A,
|  | int | LDA,
|  | PLASMA_desc * | descL,
|  | const int * | IPIV,
|  | float * | B,
|  | int | LDB
| ) |  |

PLASMA_strsmpl - Performs the forward substitution step of solving a system of linear equations after the tile LU factorization of the matrix.

Parameters

  [in] | N | The order of the matrix A. N >= 0.
  [in] | NRHS | The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in] | A | The tile factor L from the factorization, computed by PLASMA_sgetrf_incpiv.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [in] | descL | Auxiliary factorization data, related to the tile L factor, computed by PLASMA_sgetrf_incpiv.
  [in] | IPIV | The pivot indices from PLASMA_sgetrf_incpiv (not equivalent to LAPACK).
  [in,out] | B | On entry, the N-by-NRHS right hand side matrix B. On exit, if return value = 0, the N-by-NRHS solution matrix X.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,N).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_strsmpl_Tile
  PLASMA_strsmpl_Tile_Async
  PLASMA_ctrsmpl
  PLASMA_dtrsmpl
  PLASMA_strsmpl
  PLASMA_sgetrf_incpiv